build-hub:
	yarn run build
	docker context use phub
	docker build -f ./DeployImage -t hub_front .
	docker compose up --force-recreate --no-deps -d hub
build-templategen:
	docker compose up --force-recreate --no-deps -d docs
build-proxy:
	docker context use hub
	docker build -f ./Proxy -t nginx-proxy .
	docker-compose up --force-recreate --no-deps -d router
deploy:
	docker compose up -d
